This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 689886 - group memberships are not populated correctly during IPA provider initgroups
group memberships are not populated correctly during IPA provider initgroups
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
:
Depends On:
Blocks: 689887
  Show dependency treegraph
 
Reported: 2011-03-22 13:58 EDT by Jakub Hrozek
Modified: 2015-01-04 18:47 EST (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.5.1-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 689887 (view as bug list)
Environment:
Last Closed: 2011-05-19 07:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2011-03-22 13:58:55 EDT
Description of problem:
when performing initgroups in the IPA provider, only the user we are performing initgroups for is stored in cache.

Version-Release number of selected component (if applicable):
sssd-1.5.1-14.el6.x86_64

How reproducible:
always

Steps to Reproduce:
0. start with clear cache
1. log in as user who is a member of a group that contains at least one other user
2. run id to get the list of the groups
3. getent passwd <group> only shows the user you are logged in as
  
Actual results:
getent group does not show all users

Expected results:
all users are reported

Additional info:
The root cause is storing the group as not expired even when not all the members are present in the cache. Next time getgrnam/getgrgid is called, the group is not refreshed with the other members and just returned.
Comment 1 Jakub Hrozek 2011-03-22 13:59:21 EDT
Upstream ticket - https://fedorahosted.org/sssd/ticket/822
Comment 4 Namita Soman 2011-04-07 11:39:33 EDT
sgallagh stopped by...and i realized i hadn't started with step 0 - clean cache. With a clean cache, verified successfully that the group listed all its users
Comment 5 errata-xmlrpc 2011-05-19 07:39:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html
Comment 6 errata-xmlrpc 2011-05-19 09:10:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0560.html

Note You need to log in before you can comment on or make changes to this bug.